<template>
  <div class="container">
    <div>Websocket here!</div>


    <div class="button" v-on:click="connect()">Send 'ayaya'</div>
    <div>Received: {{received}} </div>
  </div>
</template>

<script>
import Vue from "vue";
import VueNativeSock from "vue-native-websocket";


Vue.use(VueNativeSock, 'ws://demos.kaazing.com/echo', {
  reconnection: true, // (Boolean) whether to reconnect automatically (false)
  reconnectionAttempts: 5, // (Number) number of reconnection attempts before giving up (Infinity),
  reconnectionDelay: 3000, // (Number) how long to initially wait before attempting a new (1000)
})

export default {
  data: function() {
    return {
        received: "*nothing*"
    };
  },

  created: function () {
      let SELF = this
      this.$socket.onmessage = function (message) {
          console.log(message.data)
          SELF.received = 'ayaya'
      }
  },

  methods: {
      connect: function() {
          this.$socket.send('ayaya!')
      }
  }
};
</script>

